<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node name="/">
<interface name="org.freesmartphone.GSM.PDP">
	<method name="GetNetworkStatus">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
		<arg type="a{sv}" name="status" direction="out"/>
	</method>
	<method name="SetCredentials">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
		<arg type="s" name="apn" direction="in"/>
		<arg type="s" name="username" direction="in"/>
		<arg type="s" name="password" direction="in"/>
	</method>
	<method name="GetCredentials">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
		<arg type="s" name="apn" direction="out"/>
		<arg type="s" name="username" direction="out"/>
		<arg type="s" name="password" direction="out"/>
	</method>
	<method name="ActivateContext">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
	</method>
	<method name="DeactivateContext">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
	</method>
	<method name="GetContextStatus">
		<annotation name="org.freedesktop.DBus.GLib.Async" value="fso_gsm_pdp"/>
		<arg type="s" name="status" direction="out"/>
		<arg type="a{sv}" name="properties" direction="out"/>
	</method>
	<signal name="NetworkStatus">
		<arg type="a{sv}" name="status"/>
	</signal>
	<signal name="ContextStatus">
		<arg type="s" name="status"/>
		<arg type="a{sv}" name="properties"/>
	</signal>
</interface>
</node>

